RPM in remi (or remi-php##) repository are are build against PHP version in remi (or remi-php##) repository.

RPM can differ with those in Fedora/EPEL repository. Version in remi repo is usually the latest and for most extensions, both NTS and ZTS extensions are provided.

When 2 versions are listed (stable + beta), the second one is available in remi-test.

PHP 7 compatibility status 66% 97 of 145 (devel status are not counted as ready).

In Fedora, EPEL and Remi repositories

# Name Version Description State
  amqp 1.9.1 (stable) Communicate with any AMQP compliant server 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  APC 3.1.15dev (git snapshot 2013-09-12)

Alternative PHP Cache
Deprecated, unmaintained, see APCu and opcache.

5.4, 5.5
  APCu

4.0.11 (php 5, stable)
5.1.8 (php 7, stable)

APCu - APC User Cache
PHP 7: see apcu-bc for APC compatibility
SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  apcu_bc 1.0.3 (php 7, beta) APCu Backwards Compatibility Module SCLo, 7.0, 7.1, 7.2
  apfd 1.0.1 (stable) Always Populate Form Data SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ast 0.1.5 (php 7, stable) Abstract Syntax Tree 7.0, 7.1, 7.2
  cairo 0.3.2 (beta) Cairo Graphics Library Extension 5.4, 5.5, 5.6
  dio 0.1.0 (beta) Direct I/O functions 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  event 2.3.0 (stable) Provides interface to libevent library (requires libevent > 2) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  fann 1.1.1 (stable) Wrapper for FANN (Fast Artificial Neural Network) Library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  gearman 1.1.2 (php 5, stable)
2.0.3 (php 7)
PHP wrapper to libgearman
v1 is from pecl, v2 is from wcgallego fork.
5.5, 5.5, 5.6, 7.0, 7.1, 7.2
  geoip 1.1.1 (beta) Extension to map IP addresses to geographic places SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  geos 1.0.0 PHP module for GEOS (requires geos >= 3.4) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  gmagick 1.1.7RC3 (php 5, beta)
2.0.4RC1 (php 7, beta)
Provides a wrapper to the GraphicsMagick library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  http v1 1.7.6 (stable) Extended HTTP support
(named php-pecl-http1 as php-pecl-http provides version 2 or 3)
5.4, 5.5
  http v2/3 2.6.0 (php 5, stable)
3.1.0 (php 7, stable)
3.1.1RC1 (php 7, beta)
Extended HTTP support SCLo
5.4, 5.5, 5.6
7.0, 7.1, 7.2
  horde_lz4 1.0.9 (stable) Horde LZ4 Compression Extension (from horde channel) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  igbinary 2.0.4 (stable) Replacement for the standard PHP serializer SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  imagick 3.4.3 (stable) Extension to create and modify images using ImageMagick SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  json_post 1.0.1 (stable) JSON POST handler 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  jsonc 1.3.10 (stable) JavaScript Object Notation 5.5, 5.6
  Judy 1.0.2 (stable) PHP Judy implements sparse dynamic arrays (aka Judy Arrays) 5.4, 5.5, 5.6
  krb5 1.1.2 (stable) Kerberos authentification extension 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  libsodium 1.0.6 (stable) Wrapper for the Sodium cryptographic library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  libsodium 2.0.4 (stable) Wrapper for the Sodium cryptographic library
Package is php-pecl-libsodium2 (new API).
Included in php 7.2 (php-sodium)
7.0, 7.1
  libvirt 0.5.4 PHP bindings for libvirt virtualization toolkit 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  lzf 1.6.6 (stable) LZF compression SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  magickwand 1.0.9.2 PHP API for ImageMagick (not from pecl, requires IM > 6.8.2) 5.4, 5.5, 5.6
  mailparse 2.1.6 (php 5, stable)
3.0.2 (php 7, stable)
PHP PECL package for parsing and working with email message 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  memcache 3.0.8 (php 5, beta)
3.0.9-dev (php 7, devel)
Extension to work with the Memcached caching daemon 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  memcached 2.2.0 (php 5, stable)
3.0.3 (php 7, stable)
PHP extension for interfacing with memcached via libmemcached library  (requires libevent > 2) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  memprof 1.0.0 (php 5, stable)
2.0.0 (php 7, stable)
memory usage profiler 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  mongo 1.6.14 (php 5, stable) PHP MongoDB database driver 5.4, 5.5, 5.6
  mongodb 1.2.9 (stable)
1.3.0beta1 (beta)
MongoDB driver for PHP SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  msgpack 0.5.7 (php 5, beta)
2.0.2 (php 7, stable)
PHP extension for interfacing with MessagePack 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  mysqlnd_ms 1.5.2 (stable) + 1.6.0++ (alpha) A replication and load balancing plugin for mysqlnd 5.4, 5.5, 5.6
  mysqlnd_qc 1.2.0 (alpha) A query cache plugin for mysqlnd 5.4, 5.5, 5.6
  ncurses 1.0.2 (stable) Terminal screen handling and optimization package 5.4, 5.5, 5.6
  oauth 1.2.3 (php 5, stable)
2.0.2 (php 7, stable)
OAuth 1.0 consumer and provider extension 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  pq 1.1.1 (php 5, stable)
2.1.2 (php 7, stable)
PostgreSQL client library (libpq) binding.
Fedora and EL-7 only as it requires Postgresql > 9.2.
5.4, 5.5, 5.6
7.0, 7.1, 7.2
  parsekit 1.3.0 (stable) PHP Opcode Analyser 5.4, 5.5, 5.6
  phpiredis 1.0.0 Simple and efficient client for Redis 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  pimple 3.0.2 (stable) A simple dependency injection container for PHP  5.4, 5.5, 5.6
  propro 1.0.2 (php 5, stable)
2.0.1 (php 7, stable)
Property proxy SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  radius 1.3.0 (php 5, stable)
1.4.0b1 (beta)
Radius client library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  raphf 1.1.2 (php 5, stable)
2.0.0 (php 7, stable)
Resource and persistent handles factory SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  redis 3.1.3 (stable) Extension for communicating with the Redis key-value store 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  rrd 1.1.3 (php 5, stable)
2.0.1 (php 7, stable)
PHP bindings to rrd tool system 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  runkit 1.0.4 (stable) For all those things you.... probably shouldn't have been doing anyway... (sources from Zenovich) 5.4, 5.5, 5.6
  selinux 0.4.1 (beta) - SELinux binding for PHP script language SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  smbclient 0.9.0 (stable) PHP wrapper for libsmbclient (package is php-smbclient)
Not available for EL-5, libsmbclient is too old.
SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  solr v1 1.1.1 (stable) The Apache Solr PHP extension. (package is php-pecl-solr, as php-pecl-solr2 provides v2) 5.4, 5.5, 5.6
  solr v2 2.4.0 (stable) The Apache Solr PHP extension. (package is php-pecl-solr2 as php-pecl-solr provides v1) SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  sphinx 1.3.3 (php 5, stable)
1.4.0-dev (php 7, devel)
Client extension for Sphinx - opensource SQL full-text search engine 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ssdeep 1.0.4 (stable) Wrapper for libfuzzy library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ssh2 0.13 (php 5, stable)
1.1.2 (php 7, alpha)
Bindings for the libssh2 library 5.4, 5.5, 5.6
7.0, 7.1, 7.2
  timecop 1.2.8 (beta) Time travel and freezing extension 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  twig 1.34.4 (php 5, stable) Extension to improve performance of Twig (from twig channel) 5.4, 5.5, 5.6
  uopz 2.0.7 (php 5, stable)
5.0.2 (php 7, stable)
User Operations for Zend 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  uuid 1.0.4 (stable) UUID extension SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  xattr 1.3.0 (stable) Extended attributes SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  xcache 3.1.0 (stable) and 3.2.0 Fast, stable PHP opcode cacher (not from pecl forge) 5.4, 5.5, 5.6
  xdebug 2.4.1 (php 5.4, stable)
2.5.5 (php 5.5+, stable)
2.6.0-dev (php 7.2+)
Provides functions for function traces and profiling SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  xhprof 0.9.4 (stable) XHProf: A Hierarchical Profiler for PHP 5.4, 5.5, 5.6
  xmldiff 1.1.2 (stable) XML diff and merge 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  yac 0.9.2 (php 5, beta)
2.0.2 (php 7, beta)
Yet Another Cache 5.4, 5.5, 5.6
7.0, 7.1, 7.2
  yaml 1.3.1 (php 5, stable)
2.0.2 (php 7, stable)
YAML-1.1 parser and emitter 5.4, 5.5, 5.6
7.0, 7.1, 7.2
  ZendOpcache 7.0.5 (stable) The Zend OPcache provides faster PHP execution through opcode caching and optimization. (PHP 5.4 only, included since in PHP 5.5) 5.4
  zip 1.15.1 (stable) A zip management extension (version 1.11 included in 5.4) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2

 

zmq 1.1.3 (beta) ZeroMQ messaging (php-zmq in Fedora/EPEL, php-pecl-zmq in remi) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2

 

Only in Remi repository (not yet in Fedora)

RPM in remi (remi-php55, remi-php56, remi-php70) repository are build against PHP version in this repository.

# Name Version Description State
  APM 2.1.3 (stable) Alternative PHP Monitor 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ares 0.8.0 (beta) Asynchronous Resolver 5.4, 5.5, 5.6
  bbcode 1.0.3b1 (beta) BBCode parsing Extension (not ready for fedora because of bundled libraries) 5.4, 5.5, 5.6
  binpack 1.0.1 (stable) The php implementation for BINPACK. 5.4, 5.5, 5.6
  bitset 2.0.3 (php 5, stable)
3.0.0 (php 7, beta)
Bitsets manipulation library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  blenc 1.1.4b (beta) BLowfish ENCryption for PHP Scripts 5.4, 5.5, 5.6
  cassandra 1.3.2 (stable) DataStax PHP Driver for Apache Cassandra 5.6, 7.0, 7.1, 7.2
  chdb 1.0.3 (stable) A fast database for constant data with memory sharing across processes (need cmph lib, not in Fedora) 5.4, 5.5, 5.6
  couchbase v1 1.2.2 (stable) Couchbase Server PHP extension (need libcouchbase, not in Fedora) 5.4, 5.5, 5.6
  couchbase v2 2.3.4 (stable) Couchbase Server PHP extension
(package is php-pecl-couchbase2, need libcouchbase, not in Fedora)
5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  crypto 0.3.1 (devel) Wrapper for OpenSSL Crypto Library 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  dbase 5.1.1 (php 5, stable)
7.0.0beta1 (php 7, beta)
dBase database file access functions.
Deprecated, dropped from PHP 5.3 and moved to pecl.
5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  dbus 0.1.1 (alpha) Extension for interaction with DBUS busses 5.4, 5.5, 5.6
  dom_varimport 1.11.3 (stable) Convert nested arrays into DOMDocumen 5.4, 5.5, 5.6
  doublemetaphone 1.0.1 (stable) Provide Double Metaphone functionality 5.4, 5.5, 5.6
  druid 0.9.2 (stable) A Druid driver for PHP with PECL extension. 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ds 1.2.3 (stable) Data Structures 7.0, 7.1, 7.2
  eio 2.0.2 (stable) Provides interface to the libeio library (bundled libeio) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  env 0.2.1 (beta) Load environment variables into PHP from a global configuration file 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ev 1.0.4 (stable) Provides interface to the libev library (bundled libev) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  expect 0.3.3 (stable) PHP extension for expect library. 5.4, 5.5, 5.6
  gender 1.1.0 (stable) Gender Extension 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  geospatial 0.1.0 (beta) PHP Extension to handle common geospatial functions 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  gnupg 1.4.0 (stable) Wrapper around the gpgme library (work partially on EL with gnupg 2) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  graphdat 1.0.3 (stable) Troubleshoot application and server performance 5.4, 5.5, 5.6
  grpc 1.4.6 (stable) A high performance, open source, general RPC framework that puts mobile and HTTP/2 first. 5.5, 5.6, 7.0, 7.1, 7.2
  handlebars 0.8.2RC2 (beta) Handlebars templating language 5.4, 5.5 5.6, 7.0, 7.1, 7.2
  haru 1.0.4 (stable) Haru PDF functions (fedora only, need libharu) 5.4, 5.5, 5.6
  hdr_histogram 0.3.0 (beta) A PHP extension wrapper for the C hdrhistogram API 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  hidef 0.1.13 (stable) Constants for real 5.4, 5.5, 5.6
  hprose 1.6.6 (stable) Hprose for PHP 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  hrtime 0.6.0 (stable) High resolution timing 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  inclued 0.1.3 (beta) Clued-in about your inclued 5.4, 5.5, 5.6
  inotify 0.1.6 (php 5, stable)
2.0.0 (php 7, stable)
The inotify extension allows to use inotify functions in a PHP script. 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ircclient 0.3.0 (beta) IRC Client 5.4, 5.5, 5.6
  jsond 1.4.0 (stable) JavaScript Object Notation (merged in PHP 7, replace old non-free json extension) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2

 

leveldb 0.1.5 (beta) LevelDB PHP bindings 5.4, 5.5, 5.6
  lua 1.1.0 (php 5, beta)
2.0.4 (php 7, stable)
Embedded lua interpreter 5.4, 5.5, 5.6
7.0, 7.1, 7.2
  lz4 0.3.3 LZ4 extension for PHP 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  mcrypt 1.0.1 (snapshot) Bindings for the libmcrypt library
Deprecated, dropped from PHP 7.2 and moved to pecl.
7.2
  mogilefs 0.9.2 (php 5, beta)
0.9.3.1 (php 7, beta)
PHP client library to communicate with the MogileFS storage
Not available for EL-5, libneon is too old.
5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  molten 0.1.2beta (beta) molten is transparency tool for application tracing it self module call 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  mosquitto 0.4.0 (beta) Extension for libmosquitto
Fedora and EL-7 only, requires mosquitto not available in EPEL < 7
5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  mustache 0.7.4 (stable) Mustache templating language 5.4, 5.5 5.6, 7.0, 7.1, 7.2
  mysql 1.0dev

MySQL database access functions.
Deprecated, dropped from PHP 7 and moved to pecl.

7.0, 7.1, 7.2
  mysql_xdevapi 8.0.2 (alpha) MySQL X DevAPI for PHP 7.1, 7.2
  newt 1.2.9 (stable) Extension for Red Hat Newt window library 5.4, 5.5, 5.6
  opencensus 0.0.2 (devel) A stats collection and distributed tracing framework 7.0, 7.1, 7.2
  pcs 1.3.3 (rc) PHP Code Service 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  pcsc 0.3.1 (alpha) An extension for PHP using the winscard PC/SC API 5.4, 5.5, 5.6
  phalcon v1 1.3.4 (php 5) Phalcon Framework 5.4, 5.5, 5.6
  phalcon v2 2.0.13 (php 5) Phalcon Framework named php-phalcon2 as php-phalcon provide v1 5.4, 5.5, 5.6
  phalcon v3 3.2.2 Phalcon Framework named php-phalcon3 5.5, 5.6, 7.0, 7.1, 7.2
  phk 3.0.1 (beta) An optional accelerator for Automap and PHK 5.4, 5.5, 5.6
  phurple 0.6.0 (alpha) libpurple PHP bindning (not from pecl) 5.4, 5.5, 5.6
  pinba 1.1.0 (php 7) Client extension for Pinba statistics server 7.0, 7.1, 7.2
  protobuf 3.4.0 (stable) Google's language-neutral, platform-neutral, extensible mechanism for serializing structured data. 5.5, 5.6, 7.0, 7.1, 7.2
  protocolbuffers 0.2.6 (alpha) Protocol buffers in PHP 5.4, 5.5, 5.6
  psr 0.3.0RC4 (beta) PSR interfaces 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  pthreads 2.0.10 (php 5, stable)
3.1.6 (php 7, stable)
3.1.7dev (php 7.1, devel)
Threading API (not suitable for EL, requires ZTS build) 5.4, 5.5, 5.6, 7.0, 7.1
  tarantool 0.1.0 (php 5, beta)
0.2.0 (php 7, beta)
PHP driver for Tarantool 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  trace 1.0.1beta (beta) Trace is a low-overhead tracing tool for PHP 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  qb 2.4.0 (stable) Accelerator designed mainly for graphic work 5.4, 5.5, 5.6
  quickhash 1.0.0 (stable) Provides a set of specific strongly-typed classes for sets and hashing 5.4, 5.5, 5.6
  rdkafka 3.0.4 (stable) Kafka client based on librdkafka 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  ref 0.4.4 (php 7, stable) Soft and Weak references support in PHP 7.0, 7.1, 7.2
  request 1.0.0b2 (php 7, beta) Provides server-side request and response objects. 7.0, 7.1, 7.2
  riak 1.1.6 (stable) Riak database PHP extension (not ready for fedora because of bundled libraries) 5.4, 5.5, 5.6
  SeasLog 1.6.9 (stable) A effective,fast,stable log extension for PHP. 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  scream 0.1.0 (alpha) Break the silence operator 5.4, 5.5, 5.6
  scrypt 1.4.2 (stable) Scrypt hashing function 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  sdl 0.9.3 (beta) Simple DirectMedia Layer for PHP 5.4, 5.5, 5.6
  snappy 0.1.7 Snappy extension 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  SPL_Types 0.4.0 (stable) Standard PHP Library, Types Addon 5.4, 5.5, 5.6
  sqlite 2.0.0dev

SQLite database bindings
Deprecated, dropped from PHP 5.4 and moved to pecl.

5.4, 5.5, 5.6
  stats 1.0.5 (php 5, stable)
2.0.3 (php 7, stable)
Extension with routines for statistical computation 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  stomp 1.0.9 (php 5, stable)
2.0.1 (php 7, stable)
Stomp client extension 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  strict 0.4.0 (beta) Strict scalar parameter type hint 5.4, 5.5, 5.6
  suhosin 0.9.38 Suhosin is an advanced protection system for PHP installations (not from pecl) 5.4, 5.5, 5.6
  sundown 0.3.11 (beta) Sundown is a fast, robust Markdown parsing library for PHP5 (not ready for fedora because of bundled libraries) 5.4, 5.5, 5.6
  svn 1.0.3 (php 5, stable) PHP Bindings for the Subversion Revision control system. 5.4, 5.5, 5.6
  swoole 1.9.18 (stable) PHP's asynchronous concurrent distributed networking framework 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  swoole 2.0.8 (php 5.5+, beta) PHP's asynchronous concurrent distributed networking framework (package is php-pecl-swoole2 as php-pecl-swoole provides v1) 5.5, 5.6, 7.0, 7.1, 7.2
  swoole_serialize 0.1.1 (php 7, beta) the fastest and smallest serialize fucntion bound for php7 7.0, 7.1, 7.2
  sync 1.1.1 (stable) Named and unnamed synchronization objects, x86_64 only 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  taint 2.0.4 (php 7, stable) XSS code sniffer 7.0, 7.1, 7.2
  tcpwrap 1.2.0 (stable) tcpwrappers binding. 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  termbox 0.1.3 (beta) a termbox wrapper for PHP 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  trader 0.4.0 (stable) Technical Analysis for traders 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  translit 0.6.2 (beta) Transliterates non-latin character sets to latin 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  UI 2.0.0 (php 7, beta) An OO wrapper around libui (requires gtk3) 7.0, 7.1
  uploadprogress 1.0.3.1 An extension to track progress of a file upload. SCLo, 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  uri_template 1.0 Implementation of URI Template (RFC6570) specification for PHP 5.4, 5.5, 5.6
  uv 0.2.2 (php 7, beta) uv provides access to underlying libuv functions (requires libuv >= 1.0.0) 7.0, 7.1, 7.2
  v8js 1.4.1 (php 7, stable) V8 Javascript Engine for PHP.
Fedora 25+ only as requires v8 >= 4.6
7.0, 7.1, 7.2
  varnish 1.2.2 (stable) Varnish Cache bindings (requires varnish-libs > 3) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  vips 1.0.7 (php 7, stable) PHP extension for interfacing with libvips (requires vips >= 8.3) 7.0, 7.1, 7.2
  vld 0.14.0 (beta) Provides functionality to dump the internal representation of PHP scripts 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  Weakref 0.2.6 (php 5, beta)
0.3.3 (php 7, beta)
Implementation of weak references 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  wxwidgets 3.0.2.0 (stable) Cross-platform widget toolkit. 5.4, 5.5, 5.6
  xdiff 1.5.2 (php 5, beta)
2.0.1 (php 7, stable)
File differences/patches. 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  xmp 4.2.0 (stable) Bindings for the libxmp library 5.4, 5.5, 5.6
  xrange 1.3.2 (stable) Numeric iterator primitives 5.4, 5.5, 5.6
  xslcache 0.7.2 (beta) A modification of PHP's standard XSL extension that caches the parsed XSL stylesheet representation 5.4, 5.5, 5.6
  xxtea 1.0.11 (stable) XXTEA encryption algorithm extension for PHP 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  yaconf 1.0.6 (php 7, stable) Yet Another Configurations Container 7.0, 7.1, 7.2
  yaf 2.3.5 (php 5, stable)
3.0.5 (php 7, stable)
PHP Framework in PHP extension 5.4, 5.5, 5.6
7.0, 7.1, 7.2
  yar 1.2.5 (php 5, stable)
2.0.3 (php 7, beta)
Light, concurrent RPC framework 5.4, 5.5, 5.6
7.0, 7.1, 7.2
  yaz 1.2.1 (stable) Z39.50/SRU client 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  yp 1.0.0 (stable) YP/NIS functions 5.4, 5.5, 5.6
  zephir-parser 0.9.11 Ze(nd Engine) Ph(p) I(nt)r(mediate) - is a high level language that eases the creation and maintainability of extensions for PHP (needed to build  phalcon) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  zookeeper 0.2.3 (php 5, stable)
0.4.0 (alpha)
PHP extension for interfacing with Apache ZooKeeper (Fedora only, missing lib) 5.4, 5.5, 5.6, 7.0, 7.1, 7.2

 

Only in Remi repository, not in Fedora (probably not possible)

# Name Version Description State
  ioncube-loader 10.0.0 (stable)

Loader for ionCube Encoded Files with ionCube 24 support.
Not suitable for Fedora, non-free License.

5.4, 5.5, 5.6, 7.0, 7.1
  oci8 2.0.12 (php 5, stable)
2.1.7 (php 7, stable)
Extension for Oracle Database.
Not suitable for Fedora, proprietary dependencies.
php-pecl-oci8 only provides oci8 extension, while php-oci8 provides oci8 and pdo_oci extensions.
  • php-oci8 in 5.4 provide oci8 version 1.4.9
  • php-oci8 in 5.5 provide oci8 version 1.4.10
  • php-oci8 in 5.6 provide oci8 version 2.0.12 (so no need for the pecl package)
  • php-oci8 in 7.0 and 7.1 provide oci8 version 2.1.7 (since 7.0.23RC1, 7.1.9RC1)
5.4, 5.5
  pdflib 4.1.2 (stable) Package for generating PDF files
Not suitable for Fedora, non-free dependencies.
5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  rar 4.0.0 (stable) PHP extension for reading RAR archives.
Not suitable for Fedora, non-free License.
5.4, 5.5, 5.6, 7.0, 7.1, 7.2
  sqlsrv
pdo_sqlsrv
4.3.0 (php 7, stable)
5.0.0preview (php 7, devel)
Microsoft Drivers for PHP for SQL Server.
The php-sqlsrv package provides both extensions.
Not suitable for Fedora, proprietary dependencies.
Fedora and EL-7 only,  x86_64 only.
Requires msodbcsql from Microsoft repository.
7.0, 7.1, 7.2

 

Software Collections

PHP Software Collections are now available in the remi repository, see:

Red Hat Software Collections 2.2, which are also available (backported by the SCLo SIG) in centos-sclo-rh repository, provide the php54, php55 and rh-php56 collections.

Red Hat Software Collections 2.3, which are also available (backported by the SCLo SIG) in centos-sclo-rh repository, provide the rh-php56 and rh-php70 collections.

Additional packages (with SCLo tag in above list) can be found in :

Also read Additional PHP packages for RHSCL.

Most of my packages are SCL aware.

Reviews

For packages, which are not yet in official Fedora repository, check the Pending Reviews page.

If you think one would be useful in official repository, and if you are able to do the review, please ask, I will submit it.

Last update : August 21th 2017

Comments give history of changes in the month.